summaryrefslogtreecommitdiff
path: root/x11-drivers
diff options
context:
space:
mode:
Diffstat (limited to 'x11-drivers')
-rw-r--r--x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r11.ebuild (renamed from x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r10.ebuild)7
-rw-r--r--x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r3.ebuild (renamed from x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r2.ebuild)7
-rw-r--r--x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r3.ebuild (renamed from x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r2.ebuild)7
3 files changed, 21 insertions, 0 deletions
diff --git a/x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r10.ebuild b/x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r11.ebuild
index 0a584315..222f9a18 100644
--- a/x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r10.ebuild
+++ b/x11-drivers/nvidia-drivers/nvidia-drivers-390.157-r11.ebuild
@@ -307,6 +307,13 @@ documentation that is installed alongside this README."
# manually if need others or addwrite)
insinto /etc/sandbox.d
newins - 20nvidia <<<'SANDBOX_PREDICT="/dev/nvidiactl"'
+
+ # Dracut does not include /etc/modprobe.d if hostonly=no, but we do need this
+ # to ensure that the nouveau blacklist is applied
+ # https://github.com/dracut-ng/dracut-ng/issues/674
+ # https://bugs.gentoo.org/932781
+ echo "install_items+=\" ${EPREFIX}/etc/modprobe.d/nvidia.conf \"" >> \
+ "${ED}/usr/lib/dracut/dracut.conf.d/10-${PN}.conf" || die
}
_dracut_initramfs_regen() {
diff --git a/x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r2.ebuild b/x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r3.ebuild
index ff22d171..822d7180 100644
--- a/x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r2.ebuild
+++ b/x11-drivers/nvidia-drivers/nvidia-drivers-470.256.02-r3.ebuild
@@ -302,6 +302,13 @@ documentation that is installed alongside this README."
# ebuilds should handle manually if need others or addwrite)
insinto /etc/sandbox.d
newins - 20nvidia <<<'SANDBOX_PREDICT="/dev/nvidiactl:/dev/char"'
+
+ # Dracut does not include /etc/modprobe.d if hostonly=no, but we do need this
+ # to ensure that the nouveau blacklist is applied
+ # https://github.com/dracut-ng/dracut-ng/issues/674
+ # https://bugs.gentoo.org/932781
+ echo "install_items+=\" ${EPREFIX}/etc/modprobe.d/nvidia.conf \"" >> \
+ "${ED}/usr/lib/dracut/dracut.conf.d/10-${PN}.conf" || die
}
_dracut_initramfs_regen() {
diff --git a/x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r2.ebuild b/x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r3.ebuild
index bad49990..001889c6 100644
--- a/x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r2.ebuild
+++ b/x11-drivers/nvidia-drivers/nvidia-drivers-550.107.02-r3.ebuild
@@ -322,6 +322,13 @@ documentation that is installed alongside this README."
# ebuilds should handle manually if need others or addwrite)
insinto /etc/sandbox.d
newins - 20nvidia <<<'SANDBOX_PREDICT="/dev/nvidiactl:/dev/nvidia-caps:/dev/char"'
+
+ # Dracut does not include /etc/modprobe.d if hostonly=no, but we do need this
+ # to ensure that the nouveau blacklist is applied
+ # https://github.com/dracut-ng/dracut-ng/issues/674
+ # https://bugs.gentoo.org/932781
+ echo "install_items+=\" ${EPREFIX}/etc/modprobe.d/nvidia.conf \"" >> \
+ "${ED}/usr/lib/dracut/dracut.conf.d/10-${PN}.conf" || die
}
_dracut_initramfs_regen() {